#encoding = utf8

from abc import ABC, abstractmethod


class AsrObserver(ABC):
    @abstractmethod
    def process(self, message: str):
        pass

    @abstractmethod
    def completed(self, message: str):
        pass
